FILE (1)                   Benutzerkommandos                   FILE (1)

NAME
     file - Dateityp anhand des Inhalts identifizieren

SYNOPSIS
     file [-f fileliste] [-c] [ -m magicfile] datei...

BESCHREIBUNG
     file fhrt fr jede der angegebenen Dateien eine Reihe von Tests 
     durch, um den Dateityp zu erraten. Wenn die ersten 512 Bytes der 
     Datei nach ASCII-Text aussehen, wird versucht, die benutzte (Pro-
     grammier-) Sprache zu erraten. Dieser Test ist allerdings sowohl 
     unvollstndig als auch fehleranfllig.

     Spezielle Dateien, die man anhand bestimmter Schlssel erkennen 
     kann, werden mithilfe der Konfigurationsdatei magic identifiziert. 
     magic wird nacheinander in dem durch die Environmentvariable ETC-
     DIR angegebenen Verzeichnis, im aktuellen Verzeichnis, im Ver-
     zeichnis, in dem file.ttp liegt und in C:\ETC\ gesucht.

OPTIONEN
     -c, +check
          Nur die Magic-Datei auf Korrektheit testen und die als richtig 
          erkannten Zeilen ausgeben.

     -f fileliste, +file-liste fileliste
          Namen der zu untersuchenden Dateien aus fileliste bernehmen.

     -m magicfile, +magic-file magicfile
          Mit dieser Option kann eine beliebige Datei als Magic-Datei 
          angegeben werden.

DATEIEN
     $ETCDIR\magic
     .\magic
     c:\etc\magic
          An diesen Orten (und in dem Verzeichnis, in dem find.ttp 
          selbst sich befindet) wird nach der Magic-Datei gesucht.

ENVIRONMENT
     LANG      file benutzt deutschsprachige Meldungen, wenn diese 
               Variable auf `german' gesetzt ist.
     STDERR    Wenn diese Environment-Variable existiert, wird stderr 
               (Kanal 2) unverndert benutzt. Ansonsten wird es auf 
               stdout umgelenkt, sofern es auf ein zeichenorientiertes 
               Gert zeigt.

SIEHE AUCH
     magic(5)

