MAGIC (5)                     Dateiformate                    MAGIC (5)

NAME
     magic - Datei mit Schlsselwrtern zur Erkennung von Dateitypen

BESCHREIBUNG
     Das Kommando find(1) erkennt einen Dateityp unter anderem durch 
     Suche nach bestimmten Kennungen im Dateikopf. Die Datei magic 
     enthlt eine Liste der zu suchenden Kennungen, ihre Positionen im 
     Dateikopf und die im Falle einer Erkennung auszugebende Textzeile.

     Jede einzelne Zeile steht fr einen der auszufhrenden Tests. Bei 
     jedem Test werden die Daten an einem bestimmten Offset der Datei 
     mit einer 1-, 2- oder 4-byte groen Zahl oder einer Zeichenkette 
     verglichen. Wenn die betreffende Bedingung erfllt ist, wird die 
     jeweilige Meldung ausgegeben.

     Das Format der Zeilen:

     Offset    Typ      Wert       Text

     Leere Zeilen und Zeilen, die mit `#' beginnen, werden ignoriert. 
     Das Format der einzelnen Felder:

     Offset    Offset in Bytes vom Dateibeginn.

     Typ       Der Datentyp. Mgliche Werte sind byte (ein Byte), short 
               (zwei Bytes), long (vier Bytes) und string (Zeichenket-
               te). Bei den Typen byte, short und long darf optional 
               eine Maskenangabe in der Form &zahl folgen. Die so 
               angegebene Zahl wird jeweils zunchst mit dem Ver-
               gleichswert undiert, bevor der eigentliche Vergleich 
               stattfindet. Die Zahl wird in C-Form, also etwa 13 
               (dezimal), 13 (oktal) oder 0x13 (hexadezimal).

     Wert      Der Wert, mit dem das Schlsselfeld verglichen werden 
               soll. Zahlen werden im C-Format (siehe oben) angegeben. 
               Als Erweiterung ist auch `f' erlaubt -- file setzt dafr 
               die Lnge der zu untersuchenden Datei ein. Bei Zeichen-
               ketten sind die blichen C-Escapesequenzen erlaubt.

               Bei numerischen Werten ist ein zustzlicher Vergleichso-
               perator erlaubt. Dies kann `=' (Werte mssen berein-
               stimmen), `<' (kleiner), `>' (grer), `&' (alle angege-
               benen Bits mssen im Vergleichswert gesetzt sein), `^' 
               (mindestens eines der Bits darf im Vergleichswert nicht 
               gesetzt sein), oder `x' (Wert ist egal) sein. Fehlt der 
               Operator, wird von `=' ausgegangen.

               Bei Zeichenketten mu der Vergleichswert mit dem aus der 
               Datei bereinstimmen. Es werden genauso so viel Zeichen 
               verglichen, wie angegeben sind.

     Text      Dieser Text wird ausgegeben, wenn der Vergleich erfolg-
               reich war. In der Zeichenkette drfen die blichen C-
               Formatanweisungen auftauchen; file setzt den Wert bzw. 
               die Zeichenkette ein.

     Manche Dateiformate enthalten noch zustzliche Informationen, die 
     zusammen mit dem Dateityp ausgegeben werden sollen. Fr solche 
     Flle kann man eine Zeile mit `>' beginnen lassen: die Tests in 
     solchen Zeilen werden nur dann ausgefhrt, wenn der Vergleich in 
     der vorherigen Zeile erfolgreich war (siehe Beispiele in der Magic-
     Datei).

DATEIEN
     $ETCDIR\magic
     .\magic
     c:\etc\magic
          An diesen Orten (und in dem Verzeichnis, in dem find.ttp 
          selbst sich befindet) wird nach der Magic-Datei gesucht.

SIEHE AUCH
     file(1)



